Subject: bug#10061: Version missmatch error

From: "Gary V. Vaughan" <[email-masked]>
Date: Mon, 21 Nov 2011 17:16:05 +0700

Hi Roumen,

On 20 Nov 2011, at 22:47, Roumen Petrov wrote:
> Gary V. Vaughan wrote:
>> On 16 Nov 2011, at 15:14, chethan krishnamurthy wrote:
>>> Myself Chethan. I was configuring kannel-sqlbox.
>>> During installation of sqlbox i am facing errors
>>> 
>>> libtool: Version mismatch error.  This is libtool 2.4.2, but the
>>> libtool: definition of this LT_INIT comes from libtool 2.2.6b.
>>> libtool: You should recreate aclocal.m4 with macros from libtool 2.4.2
>>> libtool: and run autoconf again.
>>> make[2]: *** [sqlbox] Error 63
>>> make[2]: Leaving directory `/home/peepal/sqlbox-0.7.2/gw'
>>> make[1]: *** [all-recursive] Error 1
>>> make[1]: Leaving directory `/home/peepal/sqlbox-0.7.2'
>>> make: *** [all] Error 2
>>> 
>>> Kindly suggest how to resolve this conflict.
>>> Looking forward for your answer.
>>> Thank you.
>>>     
>> This means that the libtool script in the build directory was built
>> from release 2.4.2, likely shipped with your sqlbox package, but that
>> the m4 macros it is finding are from an earlier incompatible release
>> 2.2.6b - maybe the libtool you have installed on your build machine?
>> 
>> It's not clear from your message whether sqlbox-0.7.2 is trying to
>> use libtool-2.4.2 and picked up the wrong macros, or libtool-2.2.6b
>> and picked up the wrong ltmain.sh.
>>   
> [SNIP]
> May be out of scope but after upgrade to recent libtool repository version "old test suite" fail with quite similar messages.
> [[---8<---8=---8<---]]
> Issue is resolved with double "bootstrap" but until now I'm  not able to figure out which is missing dependency rule .

Yes, I'm seeing this too.  But it's not the same problem at all.

I'm pretty sure that I introduced it when I converted from manual version number
bumps in configure.ac to using git-version-gen, which of course bumps the .version
file version number every time you pull, commit, or edit a file for the first time
in a clean tree...

The problem then, is that the tests/*demo*/*/ltversion.m4 and ltmain.sh are not
regenerated without a full bootstrap (thank goodness!! That takes ages, and I'd
hate to have to wait for it as I'm bouncing around the various branches in my
local libtool repo).

I wouldn't worry about it too much.  I have begun migrating the legacy tests to
Autotest, which is not only more pleasant to work with, but saves the boring wait
for all the legacy configury to be built every time we run make dist or distcheck,
by the time I've flushed my current patch queue, we won't have all that cruft to
deal with.

Cheers,
-- 
Gary V. Vaughan (gary AT gnu DOT org)